<form id="ability-use-form">
	{{#if formula}}
	<div class="form-group">
		<label>{{#if (eq itype "arma")}}Ataque{{else}}Modificador{{/if}}:</label>
		<input type="text" name="bonus" value="" placeholder="ex. +1d4 ou -3"/>
	</div>
	{{/if}}

	{{#if formuladano}}
	<div class="form-group">
		<label>Dano:</label>
		<input type="text" name="bonusdano" value="" placeholder="ex. +1d4 ou -4"/>
	</div>
	{{/if}}

	{{#if custo}}
	<div class="form-group">
		<label>Custo em PM ({{item.data.ativacao.custo}})</label>
		<input type="text" name="ajustecusto" value="" placeholder="ex. +3 ou -2"/>
	</div>
	{{/if}}


	<div class="form-group">
		<ul class="item-list effects-list aprimoramentos-list">
			<li class="items-header item flexrow">
				<h3>Aplicar</h3>	
				<h3 style="flex: 2">Nome</h3>
				{{#if (eq item.type "arma")}}
				<h3>Origem</h3>
				{{/if}}
			</li>
		{{#each aprimoramentos as |ap|}}
			<li class="item flexrow">
				<div class="item-cost">

				{{#if ap.data.flags.t20.aumenta}}
					<input type="button" value="-" class="numCtrl" />
					<input type="number" name="aplica" min="0" value="0" step="1" class="numInp" data-dtype="Number" style="max-width: 25px; height: auto;" onkeydown="return false" />
					<input type="button" value="+" class="numCtrl" />
				{{else}}
					<input type="checkbox"  name="aplica"  value="1" {{#unless ap.data.disabled}}checked{{/unless}}/>
				{{/if}}

				
				{{#if (and (eq ap.data.flags.t20.custo "") (eq ../item.type "magia") )}}
					Truque
				{{else if (eq ap.data.flags.t20.custo "")}}
					-
				{{else if ap.data.flags.t20.custo}}
					{{ap.data.flags.t20.custo}} PM
				{{/if}}

				{{#if (find ap.data.changes "key" "&custo")}}
				{{#each ap.data.changes as |ch|}}
				{{#if (eq ch.key "&custo")}}
				<br>
				<input type="button" value="-" class="numCtrl" />
				<input type="number" name="aplica" min="0" value="0" step="1" class="numInp" data-dtype="Number" style="max-width: 25px; height: auto;" onkeydown="return false" />
				<input type="button" value="+" class="numCtrl" />
				{{/if}}
				{{/each}}
				{{/if}}

				<input type="hidden" name="id" value="{{ap.id}}" /></div>	
				<h4 class="item-name" style="flex: 2">{{{ap.data.label}}}</h4>
				{{#if (eq ../item.type "arma")}}
				<small>{{ap.sourceName}}</small>
				{{/if}}
			</li>
		{{/each}}
		</ul>
	</div>

	<div class="form-group">
		<label>Roll Mode</label>
		<select name="rollMode">
		{{#select rollMode}}
			<option value="roll" selected="">Rolagem Pública</option>
			<option value="gmroll">Rolagem Privada do GM</option>
			<option value="blindroll">Rolagem Cega do GM</option>
			<option value="selfroll">Rolagem Própria</option>
		{{/select}}
		</select>
	</div>



</form>
